<ion-list *transloco="let t" class="ion-list flex-list-minor minor-margin-top">
  <ng-container
    *ngFor="
      let group of categoryGroups;
      let groupIndex = index;
      trackBy: trackByGroupId
    "
  >
    <div class="group-container flex-list-minor">
      <p [attr.aria-label]="group.title" class="group-title">
        {{ t(group.titleKey) }}
      </p>
      <div class="categories-container flex-list-small">
        <ng-container
          *ngFor="let category of group.categories; trackBy: trackByCategoryId"
        >
          <lib-custom-horizontal-button
            (click)="selectCategory(category)"
            [attr.aria-label]="t(category.nameKey)"
            [buttonType]="customButtonType.button"
            [colorScheme]="category.buttonColorType"
            [endIcon]="'chevron_right'"
            [startIconColor]="category.iconColor"
            [startIcon]="category.icon"
            [title]="t(category.nameKey)"
          >
          </lib-custom-horizontal-button>
        </ng-container>
      </div>
      <div *ngIf="groupIndex < 3" class="image-container">
        <ng-container *ngIf="getGroupSecondImage(groupIndex)">
          <img [src]="getGroupSecondImage(groupIndex)" alt="" />
        </ng-container>
        <img [src]="getGroupImage(groupIndex)" alt="" />
      </div>
    </div>
  </ng-container>
  <lib-custom-horizontal-button
    (click)="selectAllCategories()"
    [attr.aria-label]="t('feature_funfair.map.category_list.show_all')"
    [buttonType]="customButtonType.button"
    [colorScheme]="customButtonColorScheme.accentRed"
    [endIcon]="'chevron_right'"
    [title]="t('feature_funfair.map.category_list.show_all')"
    class="full-width-button"
  >
  </lib-custom-horizontal-button>
</ion-list>
